###Adds requisite scores###
scoreboard players add @s[tag=nitFestival] nitResourceSpawn 1

###Begins festival###
#Summons festival villagers#
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] at @e[tag=nitFestFish,limit=1,sort=nearest] run summon villager ~ ~ ~ {VillagerData:{profession:fisherman,level:3,type:"plains"},Invulnerable:1,PersistenceRequired:1,CustomName:'{"translate":"nitk.name.festival_fish","fallback":"Festival Fish Salesman"}',active_effects:[{id:"minecraft:regeneration",amplifier:1,duration:999999},{id:"minecraft:health_boost",amplifier:0,duration:999999},{id:"minecraft:luck",amplifier:0,duration:999999}],Offers:{Recipes:[{buy:{id:gold_ingot,count:7},sell:{id:salmon_bucket,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:10},sell:{id:tropical_fish_bucket,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:16},sell:{id:pufferfish_bucket,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:30},sell:{id:axolotl_bucket,count:1},rewardExp:0b,maxUses:1}]},Tags:[nitFestCitizen,nitCitizen,nitEntity,smithed.entity,smithed.strict]}
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] at @e[tag=nitFestFood,limit=1,sort=nearest] run summon villager ~ ~ ~ {VillagerData:{profession:farmer,level:3,type:"plains"},Invulnerable:1,PersistenceRequired:1,CustomName:'{"translate":"nitk.name.festival_food","fallback":"Festival Food Salesman"}',active_effects:[{id:"minecraft:regeneration",amplifier:1,duration:999999},{id:"minecraft:health_boost",amplifier:0,duration:999999},{id:"minecraft:luck",amplifier:0,duration:999999}],Offers:{Recipes:[{buy:{id:gold_ingot,count:3},sell:{id:apple,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:8},sell:{id:golden_apple,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:14},sell:{id:pumpkin_pie,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:19},sell:{id:cookie,count:16},rewardExp:0b,maxUses:1}]},Tags:[nitFestCitizen,nitCitizen,nitEntity,smithed.entity,smithed.strict]}
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] at @e[tag=nitFestFlower,limit=1,sort=nearest] run summon villager ~ ~ ~ {VillagerData:{profession:cartographer,level:3,type:"plains"},Invulnerable:1,PersistenceRequired:1,CustomName:'{"translate":"nitk.name.festival_flower","fallback":"Festival Flower Salesman"}',active_effects:[{id:"minecraft:regeneration",amplifier:1,duration:999999},{id:"minecraft:health_boost",amplifier:0,duration:999999},{id:"minecraft:luck",amplifier:0,duration:999999}],Offers:{Recipes:[{buy:{id:gold_ingot,count:4},sell:{id:peony,count:3},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:4},sell:{id:rose_bush,count:3},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:4},sell:{id:lilac,count:3},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:8},sell:{id:spore_blossom,count:1},rewardExp:0b,maxUses:1}]},Tags:[nitFestCitizen,nitCitizen,nitEntity,smithed.entity,smithed.strict]}
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] at @e[tag=nitFestDeco,limit=1,sort=nearest] run summon villager ~ ~ ~ {VillagerData:{profession:mason,level:3,type:"plains"},Invulnerable:1,PersistenceRequired:1,CustomName:'{"translate":"nitk.name.festival_decorator","fallback":"Festival Decorator"}',active_effects:[{id:"minecraft:regeneration",amplifier:1,duration:999999},{id:"minecraft:health_boost",amplifier:0,duration:999999},{id:"minecraft:luck",amplifier:0,duration:999999}],Offers:{Recipes:[{buy:{id:gold_ingot,count:9},sell:{id:lantern,count:4},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:12},sell:{id:flowering_azalea,count:2},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:15},sell:{id:glow_item_frame,count:4},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:20},sell:{id:candle,count:10},rewardExp:0b,maxUses:1}]},Tags:[nitFestCitizen,nitCitizen,nitEntity,smithed.entity,smithed.strict]}
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] at @e[tag=nitFestArt,limit=1,sort=nearest] run summon villager ~ ~ ~ {VillagerData:{profession:cleric,level:3,type:"plains"},Invulnerable:1,PersistenceRequired:1,CustomName:'{"translate":"nitk.name.festival_artist","fallback":"Festival Artist"}',active_effects:[{id:"minecraft:regeneration",amplifier:1,duration:999999},{id:"minecraft:health_boost",amplifier:0,duration:999999},{id:"minecraft:luck",amplifier:0,duration:999999}],Offers:{Recipes:[{buy:{id:gold_ingot,count:12},sell:{id:zombie_head,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:25},sell:{id:skeleton_skull,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:31},sell:{id:creeper_head,count:4},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:40},sell:{id:wither_skeleton_skull,count:1},rewardExp:0b,maxUses:1},{buy:{id:gold_ingot,count:46},sell:{id:player_head,count:1,components:{"minecraft:profile":"kanokarob"}},rewardExp:0b,maxUses:1}]},Tags:[nitFestCitizen,nitCitizen,nitEntity,smithed.entity,smithed.strict]}

#Announces festival#
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] run tellraw @a[tag=nitCitizen,distance=..200] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"translate":"nitk.festival.start","fallback":"The town has decided to throw a festival at the Festival Grounds!","color":"yellow","bold":false}]
execute as @s[scores={nitResourceSpawn=10},tag=nitFestival] at @s run playsound minecraft:block.bell.use block @a ~ ~ ~ 5
execute as @s[scores={nitResourceSpawn=10},tag=nitFestival] at @s run playsound minecraft:music_disc.blocks block @a ~ ~ ~ 5

#Increments festival stage#
execute if entity @s[scores={nitResourceSpawn=10},tag=nitFestival] run scoreboard players add @s[tag=nitFestival] nitResourceSpawn 1

###Runs continuous festival features###
execute if entity @s[scores={nitResourceSpawn=11},tag=nitFestival] run particle minecraft:happy_villager ~ ~ ~ 15 5 7 0 20 normal @a[distance=..17]

###Ends festival###
execute if entity @s[scores={nitResourceSpawn=12},tag=nitFestival] run tp @e[tag=nitFestCitizen] ~ -1000 ~
execute if entity @s[scores={nitResourceSpawn=12},tag=nitFestival] run tellraw @a[tag=nitCitizen,distance=..200] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"translate":"nitk.festival.end","fallback":"The town festival has ended.","color":"yellow","bold":false}]
execute if entity @s[scores={nitResourceSpawn=12},tag=nitFestival] run stopsound @a block minecraft:music_disc.blocks
scoreboard players set @s[scores={nitResourceSpawn=12},tag=nitFestival] nitResourceSpawn 0