#Preps scoreboards
scoreboard players add @s nitDragonology 0
scoreboard players add @s nitDragonState 0
tag @a[distance=..4] add nitDragonologyBuilt
clear @a[tag=nitDragonologyBuilt] knowledge_book[custom_data={nitref_dragonResearch:1b}]
kill @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{nitref_dragonResearch:1b}}}}]

#Research Status
scoreboard players set @s nitTemp 150
execute store result score @s nitResourceSpawn run data get entity @s Xp
scoreboard players operation @s nitResourceSpawn -= @s nitTemp
scoreboard players operation @s nitDragonology = @s nitResourceSpawn

data modify entity @s[scores={nitDragonState=0}] Offers.Recipes[1].xp set value 20
data modify entity @s[scores={nitDragonState=1}] Offers.Recipes[1].xp set value 10
data modify entity @s[scores={nitDragonState=2}] Offers.Recipes[1].xp set value 5
data modify entity @s[scores={nitDragonState=3}] Offers.Recipes[1].xp set value 2
data modify entity @s[scores={nitDragonState=4}] Offers.Recipes[1].xp set value 1

data modify entity @s[scores={nitDragonState=0}] Offers.Recipes[2].xp set value 30
data modify entity @s[scores={nitDragonState=1}] Offers.Recipes[2].xp set value 15
data modify entity @s[scores={nitDragonState=2}] Offers.Recipes[2].xp set value 7
data modify entity @s[scores={nitDragonState=3}] Offers.Recipes[2].xp set value 4
data modify entity @s[scores={nitDragonState=4}] Offers.Recipes[2].xp set value 2

#Achieved Research Levels
execute if entity @s[scores={nitDragonology=100..}] run playsound block.end_portal_frame.fill block @a ~ ~ ~ 3 1
execute if entity @s[scores={nitDragonology=100..}] run effect give @s instant_health 3 0 false
execute if entity @s[scores={nitDragonology=100..,nitDragonState=4}] run advancement grant @p only nitref:dragonology/armor
execute if entity @s[scores={nitDragonology=100..,nitDragonState=3}] run advancement grant @p only nitref:dragonology/trades
execute if entity @s[scores={nitDragonology=100..,nitDragonState=2}] run advancement grant @p only nitref:dragonology/egg
execute if entity @s[scores={nitDragonology=100..,nitDragonState=1}] run advancement grant @p only nitref:dragonology/head
execute if entity @s[scores={nitDragonology=100..,nitDragonState=0}] run advancement grant @p only nitref:dragonology/chest

#New trades when unlocked
execute if entity @s[tag=nitUnlocked,tag=!nitHasTrades] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:ender_pearl",count:16},buyB:{id:"minecraft:dragon_head",count:1},sell:{id:"minecraft:iron_sword",count:1,components:{"minecraft:enchantments":{infinity:1,knockback:3,looting:4,sharpness:6,sweeping:4},"minecraft:custom_name":"[{\"translate\":\"nitk.item.dragon_sword\",\"fallback\":\"Dragontooth Sword\",\"italic\":false,\"color\":\"aqua\"}]"}}}
execute if entity @s[tag=nitUnlocked,tag=!nitHasTrades] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:ender_pearl",count:16},buyB:{id:"minecraft:dragon_breath",count:1},sell:{id:"minecraft:shield",count:1,components:{"minecraft:enchantments":{infinity:1},"minecraft:custom_name":"[{\"translate\":\"nitk.item.dragon_shield\",\"fallback\":\"Dragonscale Shield\",\"italic\":false,\"color\":\"dark_purple\"}]","minecraft:attribute_modifiers":[{type:"generic.armor",slot:"offhand",uuid:[I;-122220,7427,74553,-14854],name:"generic.armor",amount:10},{type:"generic.armor_toughness",slot:"offhand",uuid:[I;-122220,7527,74553,-15054],name:"generic.armor_toughness",amount:5},{type:"generic.knockback_resistance",slot:"offhand",uuid:[I;-122220,7627,74553,-15254],name:"generic.knockback_resistance",amount:0.5}],"minecraft:base_color":"gray","minecraft:banner_patterns":[{color:"purple",pattern:"flower"},{color:"black",pattern:"curly_border"},{color:"black",pattern:"square_bottom_left"},{color:"black",pattern:"square_bottom_right"},{color:"gray",pattern:"triangles_top"},{color:"gray",pattern:"triangles_bottom"},{color:"black",pattern:"bricks"},{color:"black",pattern:"gradient"}]}}}
execute if entity @s[tag=nitUnlocked,tag=!nitHasTrades] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:ender_pearl",count:16},buyB:{id:"minecraft:dragon_egg",count:1},sell:{id:"minecraft:elytra",count:1,components:{"minecraft:enchantments":{infinity:1,unbreaking:3},"minecraft:custom_name":"[{\"translate\":\"nitk.item.dragon_elytra\",\"fallback\":\"Dragonscale Wingset\",\"italic\":false,\"color\":\"light_purple\"}]","minecraft:attribute_modifiers":[{type:"generic.armor",slot:"chest",uuid:[I;-122220,15227,74553,-30454],name:"generic.armor",amount:10},{type:"generic.armor_toughness",slot:"chest",uuid:[I;-122220,15327,74553,-30654],name:"generic.armor_toughness",amount:5},{type:"generic.max_health",slot:"chest",uuid:[I;-122220,15427,74553,-30854],name:"generic.max_health",amount:4.0}]}}}
tag @s[tag=nitUnlocked,tag=!nitHasTrades] add nitHasTrades